package com.miyzh;



import com.miyzh.service.UploadService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.*;
import java.util.concurrent.CountDownLatch;

/**
 * @author sunzq
 * @date 2021年04月02日 10:18
 */
@Slf4j
@RunWith(SpringRunner.class)
@ActiveProfiles("szq")
@SpringBootTest
public class UploadTest {


    @Autowired
    private UploadService uploadService;


    // 
    @Test
    public void uploadByDate() {
        uploadService.uplodaHosByDate();
        uploadService.uplodaCliByDate();
    }

    @Test
    public void uploadYesterday() {
        uploadService.updateCliYesterday();
        uploadService.updateHosYesterday();
    }

}
